Organization Configuration
Get Branding
The organization’s branding: product name, copy, languages, theme and assets, and read-only the text overrides that Podero writes.
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
branding
Get Branding
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": "<string>",
"settings": {
"product_name": "<string>",
"default_seo_title": "<string>",
"support_email": "<string>",
"terms_and_conditions_url": "<string>",
"default_language": "<string>",
"allowed_languages": [
"<string>"
],
"theming_data": {
"fontFamily": "<string>",
"brandColor": "<string>",
"accentColor": "<string>",
"accentTextColor": "<string>",
"infoColor": "<string>",
"contrastColor": "<string>",
"contrastFontColor": "<string>",
"backgroundColor": "<string>",
"buttonColor": "<string>",
"buttonTextColor": "<string>",
"fontSizes": {}
}
},
"assets": {
"logo_file": {
"url": "<string>",
"name": "<string>"
},
"favicon_file": {
"url": "<string>",
"name": "<string>"
},
"regular_font_file": {
"url": "<string>",
"name": "<string>"
},
"bold_font_file": {
"url": "<string>",
"name": "<string>"
}
},
"readonly": {
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"text_overrides": {}
},
"permissions": {
"can_edit": true
},
"options": {
"languages": [
{
"id": "<string>",
"label": "<string>"
}
]
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /oauth2/token/
FlowPassword
- Token URL
- /api/partners/v2.0/auth/token
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Branding
